import com.github.scribejava.core.model.OAuthRequest;

/**
 * Created by jhughes on 2/29/16.
 */
public class TradeKingRequest {
    private OAuthRequest request;
    private TradeKingRequestType requestType;
    private TradeKingReceiver receiver;

    public enum TradeKingRequestType{
        STRIKES, QUOTE, CLOCK, OPTIONS
    }

    public TradeKingRequest(TradeKingReceiver receiver, OAuthRequest request, TradeKingRequestType requestType) {
        this.receiver = receiver;
        this.request = request;
        this.requestType = requestType;
    }

    public OAuthRequest getRequest() {
        return request;
    }

    public void setRequest(OAuthRequest request) {
        this.request = request;
    }

    public TradeKingRequestType getRequestType() {
        return requestType;
    }

    public void setRequestType(TradeKingRequestType requestType) {
        this.requestType = requestType;
    }

    public TradeKingReceiver getReceiver() {
        return receiver;
    }

    public void setReceiver(TradeKingReceiver receiver) {
        this.receiver = receiver;
    }
}


